package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 财务分析现金流量表
 *
 * @author xcj
 * case_cash_flow
 */
public class CaseCashFlow {
    @ApiModelProperty("案例财务分析-现金流量id")
    private String caseCashFlowId;

    private String caseid;

    @ApiModelProperty("建议书Id")
    private String proposalId;

    @ApiModelProperty("投资赎回（实际发生）")
    private BigDecimal redemption;

    @ApiModelProperty("新增投资（实际发生）")
    private BigDecimal investment;

    @ApiModelProperty("借入本金")
    private BigDecimal borrowCapital;

    @ApiModelProperty("还款本金")
    private BigDecimal repaymentCapital;

    @ApiModelProperty("工作收入")
    private BigDecimal workIncome;

    @ApiModelProperty("生活支出")
    private BigDecimal liveExpense;

    @ApiModelProperty("投资收益")
    private BigDecimal investIncome;

    @ApiModelProperty("利息支出")
    private BigDecimal interestExpense;

    @ApiModelProperty("保费支出")
    private BigDecimal insuranceExpense;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学生答案/题目答案")
    private String isAnswer;

    public String getCaseCashFlowId() {
        return caseCashFlowId;
    }

    public void setCaseCashFlowId(String caseCashFlowId) {
        this.caseCashFlowId = caseCashFlowId == null ? null : caseCashFlowId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public String getProposalId() {
        return proposalId;
    }

    public void setProposalId(String proposalId) {
        this.proposalId = proposalId == null ? null : proposalId.trim();
    }

    public BigDecimal getRedemption() {
        return redemption;
    }

    public void setRedemption(BigDecimal redemption) {
        this.redemption = redemption;
    }

    public BigDecimal getInvestment() {
        return investment;
    }

    public void setInvestment(BigDecimal investment) {
        this.investment = investment;
    }

    public BigDecimal getBorrowCapital() {
        return borrowCapital;
    }

    public void setBorrowCapital(BigDecimal borrowCapital) {
        this.borrowCapital = borrowCapital;
    }

    public BigDecimal getRepaymentCapital() {
        return repaymentCapital;
    }

    public void setRepaymentCapital(BigDecimal repaymentCapital) {
        this.repaymentCapital = repaymentCapital;
    }

    public BigDecimal getWorkIncome() {
        return workIncome;
    }

    public void setWorkIncome(BigDecimal workIncome) {
        this.workIncome = workIncome;
    }

    public BigDecimal getLiveExpense() {
        return liveExpense;
    }

    public void setLiveExpense(BigDecimal liveExpense) {
        this.liveExpense = liveExpense;
    }

    public BigDecimal getInvestIncome() {
        return investIncome;
    }

    public void setInvestIncome(BigDecimal investIncome) {
        this.investIncome = investIncome;
    }

    public BigDecimal getInterestExpense() {
        return interestExpense;
    }

    public void setInterestExpense(BigDecimal interestExpense) {
        this.interestExpense = interestExpense;
    }

    public BigDecimal getInsuranceExpense() {
        return insuranceExpense;
    }

    public void setInsuranceExpense(BigDecimal insuranceExpense) {
        this.insuranceExpense = insuranceExpense;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getIsAnswer() {
        return isAnswer;
    }

    public void setIsAnswer(String isAnswer) {
        this.isAnswer = isAnswer == null ? null : isAnswer.trim();
    }
}