package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class CaseFinanceLiabilityExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CaseFinanceLiabilityExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andCaseFinanceLiabilityIdIsNull() {
            addCriterion("case_finance_liability_id is null");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdIsNotNull() {
            addCriterion("case_finance_liability_id is not null");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdEqualTo(String value) {
            addCriterion("case_finance_liability_id =", value, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdNotEqualTo(String value) {
            addCriterion("case_finance_liability_id <>", value, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdGreaterThan(String value) {
            addCriterion("case_finance_liability_id >", value, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdGreaterThanOrEqualTo(String value) {
            addCriterion("case_finance_liability_id >=", value, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdLessThan(String value) {
            addCriterion("case_finance_liability_id <", value, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdLessThanOrEqualTo(String value) {
            addCriterion("case_finance_liability_id <=", value, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdLike(String value) {
            addCriterion("case_finance_liability_id like", value, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdNotLike(String value) {
            addCriterion("case_finance_liability_id not like", value, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdIn(List<String> values) {
            addCriterion("case_finance_liability_id in", values, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdNotIn(List<String> values) {
            addCriterion("case_finance_liability_id not in", values, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdBetween(String value1, String value2) {
            addCriterion("case_finance_liability_id between", value1, value2, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseFinanceLiabilityIdNotBetween(String value1, String value2) {
            addCriterion("case_finance_liability_id not between", value1, value2, "caseFinanceLiabilityId");
            return (Criteria) this;
        }

        public Criteria andCaseIdIsNull() {
            addCriterion("case_id is null");
            return (Criteria) this;
        }

        public Criteria andCaseIdIsNotNull() {
            addCriterion("case_id is not null");
            return (Criteria) this;
        }

        public Criteria andCaseIdEqualTo(String value) {
            addCriterion("case_id =", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotEqualTo(String value) {
            addCriterion("case_id <>", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdGreaterThan(String value) {
            addCriterion("case_id >", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdGreaterThanOrEqualTo(String value) {
            addCriterion("case_id >=", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdLessThan(String value) {
            addCriterion("case_id <", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdLessThanOrEqualTo(String value) {
            addCriterion("case_id <=", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdLike(String value) {
            addCriterion("case_id like", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotLike(String value) {
            addCriterion("case_id not like", value, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdIn(List<String> values) {
            addCriterion("case_id in", values, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotIn(List<String> values) {
            addCriterion("case_id not in", values, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdBetween(String value1, String value2) {
            addCriterion("case_id between", value1, value2, "caseId");
            return (Criteria) this;
        }

        public Criteria andCaseIdNotBetween(String value1, String value2) {
            addCriterion("case_id not between", value1, value2, "caseId");
            return (Criteria) this;
        }

        public Criteria andCashIsNull() {
            addCriterion("cash is null");
            return (Criteria) this;
        }

        public Criteria andCashIsNotNull() {
            addCriterion("cash is not null");
            return (Criteria) this;
        }

        public Criteria andCashEqualTo(BigDecimal value) {
            addCriterion("cash =", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashNotEqualTo(BigDecimal value) {
            addCriterion("cash <>", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashGreaterThan(BigDecimal value) {
            addCriterion("cash >", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("cash >=", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashLessThan(BigDecimal value) {
            addCriterion("cash <", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashLessThanOrEqualTo(BigDecimal value) {
            addCriterion("cash <=", value, "cash");
            return (Criteria) this;
        }

        public Criteria andCashIn(List<BigDecimal> values) {
            addCriterion("cash in", values, "cash");
            return (Criteria) this;
        }

        public Criteria andCashNotIn(List<BigDecimal> values) {
            addCriterion("cash not in", values, "cash");
            return (Criteria) this;
        }

        public Criteria andCashBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cash between", value1, value2, "cash");
            return (Criteria) this;
        }

        public Criteria andCashNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("cash not between", value1, value2, "cash");
            return (Criteria) this;
        }

        public Criteria andRmbDepositIsNull() {
            addCriterion("rmb_deposit is null");
            return (Criteria) this;
        }

        public Criteria andRmbDepositIsNotNull() {
            addCriterion("rmb_deposit is not null");
            return (Criteria) this;
        }

        public Criteria andRmbDepositEqualTo(BigDecimal value) {
            addCriterion("rmb_deposit =", value, "rmbDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbDepositNotEqualTo(BigDecimal value) {
            addCriterion("rmb_deposit <>", value, "rmbDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbDepositGreaterThan(BigDecimal value) {
            addCriterion("rmb_deposit >", value, "rmbDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbDepositGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("rmb_deposit >=", value, "rmbDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbDepositLessThan(BigDecimal value) {
            addCriterion("rmb_deposit <", value, "rmbDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbDepositLessThanOrEqualTo(BigDecimal value) {
            addCriterion("rmb_deposit <=", value, "rmbDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbDepositIn(List<BigDecimal> values) {
            addCriterion("rmb_deposit in", values, "rmbDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbDepositNotIn(List<BigDecimal> values) {
            addCriterion("rmb_deposit not in", values, "rmbDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbDepositBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("rmb_deposit between", value1, value2, "rmbDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbDepositNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("rmb_deposit not between", value1, value2, "rmbDeposit");
            return (Criteria) this;
        }

        public Criteria andOtherAssetIsNull() {
            addCriterion("other_asset is null");
            return (Criteria) this;
        }

        public Criteria andOtherAssetIsNotNull() {
            addCriterion("other_asset is not null");
            return (Criteria) this;
        }

        public Criteria andOtherAssetEqualTo(BigDecimal value) {
            addCriterion("other_asset =", value, "otherAsset");
            return (Criteria) this;
        }

        public Criteria andOtherAssetNotEqualTo(BigDecimal value) {
            addCriterion("other_asset <>", value, "otherAsset");
            return (Criteria) this;
        }

        public Criteria andOtherAssetGreaterThan(BigDecimal value) {
            addCriterion("other_asset >", value, "otherAsset");
            return (Criteria) this;
        }

        public Criteria andOtherAssetGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_asset >=", value, "otherAsset");
            return (Criteria) this;
        }

        public Criteria andOtherAssetLessThan(BigDecimal value) {
            addCriterion("other_asset <", value, "otherAsset");
            return (Criteria) this;
        }

        public Criteria andOtherAssetLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_asset <=", value, "otherAsset");
            return (Criteria) this;
        }

        public Criteria andOtherAssetIn(List<BigDecimal> values) {
            addCriterion("other_asset in", values, "otherAsset");
            return (Criteria) this;
        }

        public Criteria andOtherAssetNotIn(List<BigDecimal> values) {
            addCriterion("other_asset not in", values, "otherAsset");
            return (Criteria) this;
        }

        public Criteria andOtherAssetBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_asset between", value1, value2, "otherAsset");
            return (Criteria) this;
        }

        public Criteria andOtherAssetNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_asset not between", value1, value2, "otherAsset");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositIsNull() {
            addCriterion("rmb_fixed_deposit is null");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositIsNotNull() {
            addCriterion("rmb_fixed_deposit is not null");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositEqualTo(BigDecimal value) {
            addCriterion("rmb_fixed_deposit =", value, "rmbFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositNotEqualTo(BigDecimal value) {
            addCriterion("rmb_fixed_deposit <>", value, "rmbFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositGreaterThan(BigDecimal value) {
            addCriterion("rmb_fixed_deposit >", value, "rmbFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("rmb_fixed_deposit >=", value, "rmbFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositLessThan(BigDecimal value) {
            addCriterion("rmb_fixed_deposit <", value, "rmbFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositLessThanOrEqualTo(BigDecimal value) {
            addCriterion("rmb_fixed_deposit <=", value, "rmbFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositIn(List<BigDecimal> values) {
            addCriterion("rmb_fixed_deposit in", values, "rmbFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositNotIn(List<BigDecimal> values) {
            addCriterion("rmb_fixed_deposit not in", values, "rmbFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("rmb_fixed_deposit between", value1, value2, "rmbFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andRmbFixedDepositNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("rmb_fixed_deposit not between", value1, value2, "rmbFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositIsNull() {
            addCriterion("foreign_currency_fixed_deposit is null");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositIsNotNull() {
            addCriterion("foreign_currency_fixed_deposit is not null");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositEqualTo(BigDecimal value) {
            addCriterion("foreign_currency_fixed_deposit =", value, "foreignCurrencyFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositNotEqualTo(BigDecimal value) {
            addCriterion("foreign_currency_fixed_deposit <>", value, "foreignCurrencyFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositGreaterThan(BigDecimal value) {
            addCriterion("foreign_currency_fixed_deposit >", value, "foreignCurrencyFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("foreign_currency_fixed_deposit >=", value, "foreignCurrencyFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositLessThan(BigDecimal value) {
            addCriterion("foreign_currency_fixed_deposit <", value, "foreignCurrencyFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositLessThanOrEqualTo(BigDecimal value) {
            addCriterion("foreign_currency_fixed_deposit <=", value, "foreignCurrencyFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositIn(List<BigDecimal> values) {
            addCriterion("foreign_currency_fixed_deposit in", values, "foreignCurrencyFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositNotIn(List<BigDecimal> values) {
            addCriterion("foreign_currency_fixed_deposit not in", values, "foreignCurrencyFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("foreign_currency_fixed_deposit between", value1, value2, "foreignCurrencyFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andForeignCurrencyFixedDepositNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("foreign_currency_fixed_deposit not between", value1, value2, "foreignCurrencyFixedDeposit");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentIsNull() {
            addCriterion("stock_investment is null");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentIsNotNull() {
            addCriterion("stock_investment is not null");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentEqualTo(BigDecimal value) {
            addCriterion("stock_investment =", value, "stockInvestment");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentNotEqualTo(BigDecimal value) {
            addCriterion("stock_investment <>", value, "stockInvestment");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentGreaterThan(BigDecimal value) {
            addCriterion("stock_investment >", value, "stockInvestment");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("stock_investment >=", value, "stockInvestment");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentLessThan(BigDecimal value) {
            addCriterion("stock_investment <", value, "stockInvestment");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentLessThanOrEqualTo(BigDecimal value) {
            addCriterion("stock_investment <=", value, "stockInvestment");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentIn(List<BigDecimal> values) {
            addCriterion("stock_investment in", values, "stockInvestment");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentNotIn(List<BigDecimal> values) {
            addCriterion("stock_investment not in", values, "stockInvestment");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("stock_investment between", value1, value2, "stockInvestment");
            return (Criteria) this;
        }

        public Criteria andStockInvestmentNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("stock_investment not between", value1, value2, "stockInvestment");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentIsNull() {
            addCriterion("bond_investment is null");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentIsNotNull() {
            addCriterion("bond_investment is not null");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentEqualTo(BigDecimal value) {
            addCriterion("bond_investment =", value, "bondInvestment");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentNotEqualTo(BigDecimal value) {
            addCriterion("bond_investment <>", value, "bondInvestment");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentGreaterThan(BigDecimal value) {
            addCriterion("bond_investment >", value, "bondInvestment");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("bond_investment >=", value, "bondInvestment");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentLessThan(BigDecimal value) {
            addCriterion("bond_investment <", value, "bondInvestment");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentLessThanOrEqualTo(BigDecimal value) {
            addCriterion("bond_investment <=", value, "bondInvestment");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentIn(List<BigDecimal> values) {
            addCriterion("bond_investment in", values, "bondInvestment");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentNotIn(List<BigDecimal> values) {
            addCriterion("bond_investment not in", values, "bondInvestment");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("bond_investment between", value1, value2, "bondInvestment");
            return (Criteria) this;
        }

        public Criteria andBondInvestmentNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("bond_investment not between", value1, value2, "bondInvestment");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentIsNull() {
            addCriterion("fund_investment is null");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentIsNotNull() {
            addCriterion("fund_investment is not null");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentEqualTo(BigDecimal value) {
            addCriterion("fund_investment =", value, "fundInvestment");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentNotEqualTo(BigDecimal value) {
            addCriterion("fund_investment <>", value, "fundInvestment");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentGreaterThan(BigDecimal value) {
            addCriterion("fund_investment >", value, "fundInvestment");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("fund_investment >=", value, "fundInvestment");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentLessThan(BigDecimal value) {
            addCriterion("fund_investment <", value, "fundInvestment");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentLessThanOrEqualTo(BigDecimal value) {
            addCriterion("fund_investment <=", value, "fundInvestment");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentIn(List<BigDecimal> values) {
            addCriterion("fund_investment in", values, "fundInvestment");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentNotIn(List<BigDecimal> values) {
            addCriterion("fund_investment not in", values, "fundInvestment");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("fund_investment between", value1, value2, "fundInvestment");
            return (Criteria) this;
        }

        public Criteria andFundInvestmentNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("fund_investment not between", value1, value2, "fundInvestment");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentIsNull() {
            addCriterion("industry_investment is null");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentIsNotNull() {
            addCriterion("industry_investment is not null");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentEqualTo(BigDecimal value) {
            addCriterion("industry_investment =", value, "industryInvestment");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentNotEqualTo(BigDecimal value) {
            addCriterion("industry_investment <>", value, "industryInvestment");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentGreaterThan(BigDecimal value) {
            addCriterion("industry_investment >", value, "industryInvestment");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("industry_investment >=", value, "industryInvestment");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLessThan(BigDecimal value) {
            addCriterion("industry_investment <", value, "industryInvestment");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLessThanOrEqualTo(BigDecimal value) {
            addCriterion("industry_investment <=", value, "industryInvestment");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentIn(List<BigDecimal> values) {
            addCriterion("industry_investment in", values, "industryInvestment");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentNotIn(List<BigDecimal> values) {
            addCriterion("industry_investment not in", values, "industryInvestment");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("industry_investment between", value1, value2, "industryInvestment");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("industry_investment not between", value1, value2, "industryInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentIsNull() {
            addCriterion("estate_investment is null");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentIsNotNull() {
            addCriterion("estate_investment is not null");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentEqualTo(BigDecimal value) {
            addCriterion("estate_investment =", value, "estateInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentNotEqualTo(BigDecimal value) {
            addCriterion("estate_investment <>", value, "estateInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentGreaterThan(BigDecimal value) {
            addCriterion("estate_investment >", value, "estateInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("estate_investment >=", value, "estateInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLessThan(BigDecimal value) {
            addCriterion("estate_investment <", value, "estateInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLessThanOrEqualTo(BigDecimal value) {
            addCriterion("estate_investment <=", value, "estateInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentIn(List<BigDecimal> values) {
            addCriterion("estate_investment in", values, "estateInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentNotIn(List<BigDecimal> values) {
            addCriterion("estate_investment not in", values, "estateInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("estate_investment between", value1, value2, "estateInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("estate_investment not between", value1, value2, "estateInvestment");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentIsNull() {
            addCriterion("policy_investment is null");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentIsNotNull() {
            addCriterion("policy_investment is not null");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentEqualTo(BigDecimal value) {
            addCriterion("policy_investment =", value, "policyInvestment");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentNotEqualTo(BigDecimal value) {
            addCriterion("policy_investment <>", value, "policyInvestment");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentGreaterThan(BigDecimal value) {
            addCriterion("policy_investment >", value, "policyInvestment");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("policy_investment >=", value, "policyInvestment");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentLessThan(BigDecimal value) {
            addCriterion("policy_investment <", value, "policyInvestment");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentLessThanOrEqualTo(BigDecimal value) {
            addCriterion("policy_investment <=", value, "policyInvestment");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentIn(List<BigDecimal> values) {
            addCriterion("policy_investment in", values, "policyInvestment");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentNotIn(List<BigDecimal> values) {
            addCriterion("policy_investment not in", values, "policyInvestment");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("policy_investment between", value1, value2, "policyInvestment");
            return (Criteria) this;
        }

        public Criteria andPolicyInvestmentNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("policy_investment not between", value1, value2, "policyInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentIsNull() {
            addCriterion("other_investment is null");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentIsNotNull() {
            addCriterion("other_investment is not null");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentEqualTo(BigDecimal value) {
            addCriterion("other_investment =", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentNotEqualTo(BigDecimal value) {
            addCriterion("other_investment <>", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentGreaterThan(BigDecimal value) {
            addCriterion("other_investment >", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_investment >=", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLessThan(BigDecimal value) {
            addCriterion("other_investment <", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_investment <=", value, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentIn(List<BigDecimal> values) {
            addCriterion("other_investment in", values, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentNotIn(List<BigDecimal> values) {
            addCriterion("other_investment not in", values, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_investment between", value1, value2, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_investment not between", value1, value2, "otherInvestment");
            return (Criteria) this;
        }

        public Criteria andEstateIsNull() {
            addCriterion("estate is null");
            return (Criteria) this;
        }

        public Criteria andEstateIsNotNull() {
            addCriterion("estate is not null");
            return (Criteria) this;
        }

        public Criteria andEstateEqualTo(BigDecimal value) {
            addCriterion("estate =", value, "estate");
            return (Criteria) this;
        }

        public Criteria andEstateNotEqualTo(BigDecimal value) {
            addCriterion("estate <>", value, "estate");
            return (Criteria) this;
        }

        public Criteria andEstateGreaterThan(BigDecimal value) {
            addCriterion("estate >", value, "estate");
            return (Criteria) this;
        }

        public Criteria andEstateGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("estate >=", value, "estate");
            return (Criteria) this;
        }

        public Criteria andEstateLessThan(BigDecimal value) {
            addCriterion("estate <", value, "estate");
            return (Criteria) this;
        }

        public Criteria andEstateLessThanOrEqualTo(BigDecimal value) {
            addCriterion("estate <=", value, "estate");
            return (Criteria) this;
        }

        public Criteria andEstateIn(List<BigDecimal> values) {
            addCriterion("estate in", values, "estate");
            return (Criteria) this;
        }

        public Criteria andEstateNotIn(List<BigDecimal> values) {
            addCriterion("estate not in", values, "estate");
            return (Criteria) this;
        }

        public Criteria andEstateBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("estate between", value1, value2, "estate");
            return (Criteria) this;
        }

        public Criteria andEstateNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("estate not between", value1, value2, "estate");
            return (Criteria) this;
        }

        public Criteria andCarIsNull() {
            addCriterion("car is null");
            return (Criteria) this;
        }

        public Criteria andCarIsNotNull() {
            addCriterion("car is not null");
            return (Criteria) this;
        }

        public Criteria andCarEqualTo(BigDecimal value) {
            addCriterion("car =", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarNotEqualTo(BigDecimal value) {
            addCriterion("car <>", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarGreaterThan(BigDecimal value) {
            addCriterion("car >", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("car >=", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarLessThan(BigDecimal value) {
            addCriterion("car <", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarLessThanOrEqualTo(BigDecimal value) {
            addCriterion("car <=", value, "car");
            return (Criteria) this;
        }

        public Criteria andCarIn(List<BigDecimal> values) {
            addCriterion("car in", values, "car");
            return (Criteria) this;
        }

        public Criteria andCarNotIn(List<BigDecimal> values) {
            addCriterion("car not in", values, "car");
            return (Criteria) this;
        }

        public Criteria andCarBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("car between", value1, value2, "car");
            return (Criteria) this;
        }

        public Criteria andCarNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("car not between", value1, value2, "car");
            return (Criteria) this;
        }

        public Criteria andOthersIsNull() {
            addCriterion("others is null");
            return (Criteria) this;
        }

        public Criteria andOthersIsNotNull() {
            addCriterion("others is not null");
            return (Criteria) this;
        }

        public Criteria andOthersEqualTo(BigDecimal value) {
            addCriterion("others =", value, "others");
            return (Criteria) this;
        }

        public Criteria andOthersNotEqualTo(BigDecimal value) {
            addCriterion("others <>", value, "others");
            return (Criteria) this;
        }

        public Criteria andOthersGreaterThan(BigDecimal value) {
            addCriterion("others >", value, "others");
            return (Criteria) this;
        }

        public Criteria andOthersGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("others >=", value, "others");
            return (Criteria) this;
        }

        public Criteria andOthersLessThan(BigDecimal value) {
            addCriterion("others <", value, "others");
            return (Criteria) this;
        }

        public Criteria andOthersLessThanOrEqualTo(BigDecimal value) {
            addCriterion("others <=", value, "others");
            return (Criteria) this;
        }

        public Criteria andOthersIn(List<BigDecimal> values) {
            addCriterion("others in", values, "others");
            return (Criteria) this;
        }

        public Criteria andOthersNotIn(List<BigDecimal> values) {
            addCriterion("others not in", values, "others");
            return (Criteria) this;
        }

        public Criteria andOthersBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("others between", value1, value2, "others");
            return (Criteria) this;
        }

        public Criteria andOthersNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("others not between", value1, value2, "others");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsIsNull() {
            addCriterion("total_assets is null");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsIsNotNull() {
            addCriterion("total_assets is not null");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsEqualTo(BigDecimal value) {
            addCriterion("total_assets =", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsNotEqualTo(BigDecimal value) {
            addCriterion("total_assets <>", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsGreaterThan(BigDecimal value) {
            addCriterion("total_assets >", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_assets >=", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsLessThan(BigDecimal value) {
            addCriterion("total_assets <", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_assets <=", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsIn(List<BigDecimal> values) {
            addCriterion("total_assets in", values, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsNotIn(List<BigDecimal> values) {
            addCriterion("total_assets not in", values, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_assets between", value1, value2, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_assets not between", value1, value2, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andCreditCardIsNull() {
            addCriterion("credit_card is null");
            return (Criteria) this;
        }

        public Criteria andCreditCardIsNotNull() {
            addCriterion("credit_card is not null");
            return (Criteria) this;
        }

        public Criteria andCreditCardEqualTo(BigDecimal value) {
            addCriterion("credit_card =", value, "creditCard");
            return (Criteria) this;
        }

        public Criteria andCreditCardNotEqualTo(BigDecimal value) {
            addCriterion("credit_card <>", value, "creditCard");
            return (Criteria) this;
        }

        public Criteria andCreditCardGreaterThan(BigDecimal value) {
            addCriterion("credit_card >", value, "creditCard");
            return (Criteria) this;
        }

        public Criteria andCreditCardGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("credit_card >=", value, "creditCard");
            return (Criteria) this;
        }

        public Criteria andCreditCardLessThan(BigDecimal value) {
            addCriterion("credit_card <", value, "creditCard");
            return (Criteria) this;
        }

        public Criteria andCreditCardLessThanOrEqualTo(BigDecimal value) {
            addCriterion("credit_card <=", value, "creditCard");
            return (Criteria) this;
        }

        public Criteria andCreditCardIn(List<BigDecimal> values) {
            addCriterion("credit_card in", values, "creditCard");
            return (Criteria) this;
        }

        public Criteria andCreditCardNotIn(List<BigDecimal> values) {
            addCriterion("credit_card not in", values, "creditCard");
            return (Criteria) this;
        }

        public Criteria andCreditCardBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("credit_card between", value1, value2, "creditCard");
            return (Criteria) this;
        }

        public Criteria andCreditCardNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("credit_card not between", value1, value2, "creditCard");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceIsNull() {
            addCriterion("microfinance is null");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceIsNotNull() {
            addCriterion("microfinance is not null");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceEqualTo(BigDecimal value) {
            addCriterion("microfinance =", value, "microfinance");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceNotEqualTo(BigDecimal value) {
            addCriterion("microfinance <>", value, "microfinance");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceGreaterThan(BigDecimal value) {
            addCriterion("microfinance >", value, "microfinance");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("microfinance >=", value, "microfinance");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceLessThan(BigDecimal value) {
            addCriterion("microfinance <", value, "microfinance");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceLessThanOrEqualTo(BigDecimal value) {
            addCriterion("microfinance <=", value, "microfinance");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceIn(List<BigDecimal> values) {
            addCriterion("microfinance in", values, "microfinance");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceNotIn(List<BigDecimal> values) {
            addCriterion("microfinance not in", values, "microfinance");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("microfinance between", value1, value2, "microfinance");
            return (Criteria) this;
        }

        public Criteria andMicrofinanceNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("microfinance not between", value1, value2, "microfinance");
            return (Criteria) this;
        }

        public Criteria andOtherLoanIsNull() {
            addCriterion("other_loan is null");
            return (Criteria) this;
        }

        public Criteria andOtherLoanIsNotNull() {
            addCriterion("other_loan is not null");
            return (Criteria) this;
        }

        public Criteria andOtherLoanEqualTo(BigDecimal value) {
            addCriterion("other_loan =", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanNotEqualTo(BigDecimal value) {
            addCriterion("other_loan <>", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanGreaterThan(BigDecimal value) {
            addCriterion("other_loan >", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_loan >=", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanLessThan(BigDecimal value) {
            addCriterion("other_loan <", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_loan <=", value, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanIn(List<BigDecimal> values) {
            addCriterion("other_loan in", values, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanNotIn(List<BigDecimal> values) {
            addCriterion("other_loan not in", values, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_loan between", value1, value2, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andOtherLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_loan not between", value1, value2, "otherLoan");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanIsNull() {
            addCriterion("financial_loan is null");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanIsNotNull() {
            addCriterion("financial_loan is not null");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanEqualTo(BigDecimal value) {
            addCriterion("financial_loan =", value, "financialLoan");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanNotEqualTo(BigDecimal value) {
            addCriterion("financial_loan <>", value, "financialLoan");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanGreaterThan(BigDecimal value) {
            addCriterion("financial_loan >", value, "financialLoan");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("financial_loan >=", value, "financialLoan");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanLessThan(BigDecimal value) {
            addCriterion("financial_loan <", value, "financialLoan");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("financial_loan <=", value, "financialLoan");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanIn(List<BigDecimal> values) {
            addCriterion("financial_loan in", values, "financialLoan");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanNotIn(List<BigDecimal> values) {
            addCriterion("financial_loan not in", values, "financialLoan");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("financial_loan between", value1, value2, "financialLoan");
            return (Criteria) this;
        }

        public Criteria andFinancialLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("financial_loan not between", value1, value2, "financialLoan");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanIsNull() {
            addCriterion("industry_investment_loan is null");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanIsNotNull() {
            addCriterion("industry_investment_loan is not null");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanEqualTo(BigDecimal value) {
            addCriterion("industry_investment_loan =", value, "industryInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanNotEqualTo(BigDecimal value) {
            addCriterion("industry_investment_loan <>", value, "industryInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanGreaterThan(BigDecimal value) {
            addCriterion("industry_investment_loan >", value, "industryInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("industry_investment_loan >=", value, "industryInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanLessThan(BigDecimal value) {
            addCriterion("industry_investment_loan <", value, "industryInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("industry_investment_loan <=", value, "industryInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanIn(List<BigDecimal> values) {
            addCriterion("industry_investment_loan in", values, "industryInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanNotIn(List<BigDecimal> values) {
            addCriterion("industry_investment_loan not in", values, "industryInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("industry_investment_loan between", value1, value2, "industryInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andIndustryInvestmentLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("industry_investment_loan not between", value1, value2, "industryInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanIsNull() {
            addCriterion("estate_investment_loan is null");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanIsNotNull() {
            addCriterion("estate_investment_loan is not null");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanEqualTo(BigDecimal value) {
            addCriterion("estate_investment_loan =", value, "estateInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanNotEqualTo(BigDecimal value) {
            addCriterion("estate_investment_loan <>", value, "estateInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanGreaterThan(BigDecimal value) {
            addCriterion("estate_investment_loan >", value, "estateInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("estate_investment_loan >=", value, "estateInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanLessThan(BigDecimal value) {
            addCriterion("estate_investment_loan <", value, "estateInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("estate_investment_loan <=", value, "estateInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanIn(List<BigDecimal> values) {
            addCriterion("estate_investment_loan in", values, "estateInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanNotIn(List<BigDecimal> values) {
            addCriterion("estate_investment_loan not in", values, "estateInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("estate_investment_loan between", value1, value2, "estateInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateInvestmentLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("estate_investment_loan not between", value1, value2, "estateInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanIsNull() {
            addCriterion("other_investment_loan is null");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanIsNotNull() {
            addCriterion("other_investment_loan is not null");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanEqualTo(BigDecimal value) {
            addCriterion("other_investment_loan =", value, "otherInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanNotEqualTo(BigDecimal value) {
            addCriterion("other_investment_loan <>", value, "otherInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanGreaterThan(BigDecimal value) {
            addCriterion("other_investment_loan >", value, "otherInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("other_investment_loan >=", value, "otherInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanLessThan(BigDecimal value) {
            addCriterion("other_investment_loan <", value, "otherInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("other_investment_loan <=", value, "otherInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanIn(List<BigDecimal> values) {
            addCriterion("other_investment_loan in", values, "otherInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanNotIn(List<BigDecimal> values) {
            addCriterion("other_investment_loan not in", values, "otherInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_investment_loan between", value1, value2, "otherInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andOtherInvestmentLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("other_investment_loan not between", value1, value2, "otherInvestmentLoan");
            return (Criteria) this;
        }

        public Criteria andEstateLoanIsNull() {
            addCriterion("estate_loan is null");
            return (Criteria) this;
        }

        public Criteria andEstateLoanIsNotNull() {
            addCriterion("estate_loan is not null");
            return (Criteria) this;
        }

        public Criteria andEstateLoanEqualTo(BigDecimal value) {
            addCriterion("estate_loan =", value, "estateLoan");
            return (Criteria) this;
        }

        public Criteria andEstateLoanNotEqualTo(BigDecimal value) {
            addCriterion("estate_loan <>", value, "estateLoan");
            return (Criteria) this;
        }

        public Criteria andEstateLoanGreaterThan(BigDecimal value) {
            addCriterion("estate_loan >", value, "estateLoan");
            return (Criteria) this;
        }

        public Criteria andEstateLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("estate_loan >=", value, "estateLoan");
            return (Criteria) this;
        }

        public Criteria andEstateLoanLessThan(BigDecimal value) {
            addCriterion("estate_loan <", value, "estateLoan");
            return (Criteria) this;
        }

        public Criteria andEstateLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("estate_loan <=", value, "estateLoan");
            return (Criteria) this;
        }

        public Criteria andEstateLoanIn(List<BigDecimal> values) {
            addCriterion("estate_loan in", values, "estateLoan");
            return (Criteria) this;
        }

        public Criteria andEstateLoanNotIn(List<BigDecimal> values) {
            addCriterion("estate_loan not in", values, "estateLoan");
            return (Criteria) this;
        }

        public Criteria andEstateLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("estate_loan between", value1, value2, "estateLoan");
            return (Criteria) this;
        }

        public Criteria andEstateLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("estate_loan not between", value1, value2, "estateLoan");
            return (Criteria) this;
        }

        public Criteria andCarLoanIsNull() {
            addCriterion("car_loan is null");
            return (Criteria) this;
        }

        public Criteria andCarLoanIsNotNull() {
            addCriterion("car_loan is not null");
            return (Criteria) this;
        }

        public Criteria andCarLoanEqualTo(BigDecimal value) {
            addCriterion("car_loan =", value, "carLoan");
            return (Criteria) this;
        }

        public Criteria andCarLoanNotEqualTo(BigDecimal value) {
            addCriterion("car_loan <>", value, "carLoan");
            return (Criteria) this;
        }

        public Criteria andCarLoanGreaterThan(BigDecimal value) {
            addCriterion("car_loan >", value, "carLoan");
            return (Criteria) this;
        }

        public Criteria andCarLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("car_loan >=", value, "carLoan");
            return (Criteria) this;
        }

        public Criteria andCarLoanLessThan(BigDecimal value) {
            addCriterion("car_loan <", value, "carLoan");
            return (Criteria) this;
        }

        public Criteria andCarLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("car_loan <=", value, "carLoan");
            return (Criteria) this;
        }

        public Criteria andCarLoanIn(List<BigDecimal> values) {
            addCriterion("car_loan in", values, "carLoan");
            return (Criteria) this;
        }

        public Criteria andCarLoanNotIn(List<BigDecimal> values) {
            addCriterion("car_loan not in", values, "carLoan");
            return (Criteria) this;
        }

        public Criteria andCarLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("car_loan between", value1, value2, "carLoan");
            return (Criteria) this;
        }

        public Criteria andCarLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("car_loan not between", value1, value2, "carLoan");
            return (Criteria) this;
        }

        public Criteria andOthersLoanIsNull() {
            addCriterion("others_loan is null");
            return (Criteria) this;
        }

        public Criteria andOthersLoanIsNotNull() {
            addCriterion("others_loan is not null");
            return (Criteria) this;
        }

        public Criteria andOthersLoanEqualTo(BigDecimal value) {
            addCriterion("others_loan =", value, "othersLoan");
            return (Criteria) this;
        }

        public Criteria andOthersLoanNotEqualTo(BigDecimal value) {
            addCriterion("others_loan <>", value, "othersLoan");
            return (Criteria) this;
        }

        public Criteria andOthersLoanGreaterThan(BigDecimal value) {
            addCriterion("others_loan >", value, "othersLoan");
            return (Criteria) this;
        }

        public Criteria andOthersLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("others_loan >=", value, "othersLoan");
            return (Criteria) this;
        }

        public Criteria andOthersLoanLessThan(BigDecimal value) {
            addCriterion("others_loan <", value, "othersLoan");
            return (Criteria) this;
        }

        public Criteria andOthersLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("others_loan <=", value, "othersLoan");
            return (Criteria) this;
        }

        public Criteria andOthersLoanIn(List<BigDecimal> values) {
            addCriterion("others_loan in", values, "othersLoan");
            return (Criteria) this;
        }

        public Criteria andOthersLoanNotIn(List<BigDecimal> values) {
            addCriterion("others_loan not in", values, "othersLoan");
            return (Criteria) this;
        }

        public Criteria andOthersLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("others_loan between", value1, value2, "othersLoan");
            return (Criteria) this;
        }

        public Criteria andOthersLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("others_loan not between", value1, value2, "othersLoan");
            return (Criteria) this;
        }

        public Criteria andTotalLoanIsNull() {
            addCriterion("total_loan is null");
            return (Criteria) this;
        }

        public Criteria andTotalLoanIsNotNull() {
            addCriterion("total_loan is not null");
            return (Criteria) this;
        }

        public Criteria andTotalLoanEqualTo(BigDecimal value) {
            addCriterion("total_loan =", value, "totalLoan");
            return (Criteria) this;
        }

        public Criteria andTotalLoanNotEqualTo(BigDecimal value) {
            addCriterion("total_loan <>", value, "totalLoan");
            return (Criteria) this;
        }

        public Criteria andTotalLoanGreaterThan(BigDecimal value) {
            addCriterion("total_loan >", value, "totalLoan");
            return (Criteria) this;
        }

        public Criteria andTotalLoanGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_loan >=", value, "totalLoan");
            return (Criteria) this;
        }

        public Criteria andTotalLoanLessThan(BigDecimal value) {
            addCriterion("total_loan <", value, "totalLoan");
            return (Criteria) this;
        }

        public Criteria andTotalLoanLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_loan <=", value, "totalLoan");
            return (Criteria) this;
        }

        public Criteria andTotalLoanIn(List<BigDecimal> values) {
            addCriterion("total_loan in", values, "totalLoan");
            return (Criteria) this;
        }

        public Criteria andTotalLoanNotIn(List<BigDecimal> values) {
            addCriterion("total_loan not in", values, "totalLoan");
            return (Criteria) this;
        }

        public Criteria andTotalLoanBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_loan between", value1, value2, "totalLoan");
            return (Criteria) this;
        }

        public Criteria andTotalLoanNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_loan not between", value1, value2, "totalLoan");
            return (Criteria) this;
        }

        public Criteria andTotalNetIsNull() {
            addCriterion("total_net is null");
            return (Criteria) this;
        }

        public Criteria andTotalNetIsNotNull() {
            addCriterion("total_net is not null");
            return (Criteria) this;
        }

        public Criteria andTotalNetEqualTo(BigDecimal value) {
            addCriterion("total_net =", value, "totalNet");
            return (Criteria) this;
        }

        public Criteria andTotalNetNotEqualTo(BigDecimal value) {
            addCriterion("total_net <>", value, "totalNet");
            return (Criteria) this;
        }

        public Criteria andTotalNetGreaterThan(BigDecimal value) {
            addCriterion("total_net >", value, "totalNet");
            return (Criteria) this;
        }

        public Criteria andTotalNetGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_net >=", value, "totalNet");
            return (Criteria) this;
        }

        public Criteria andTotalNetLessThan(BigDecimal value) {
            addCriterion("total_net <", value, "totalNet");
            return (Criteria) this;
        }

        public Criteria andTotalNetLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_net <=", value, "totalNet");
            return (Criteria) this;
        }

        public Criteria andTotalNetIn(List<BigDecimal> values) {
            addCriterion("total_net in", values, "totalNet");
            return (Criteria) this;
        }

        public Criteria andTotalNetNotIn(List<BigDecimal> values) {
            addCriterion("total_net not in", values, "totalNet");
            return (Criteria) this;
        }

        public Criteria andTotalNetBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_net between", value1, value2, "totalNet");
            return (Criteria) this;
        }

        public Criteria andTotalNetNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_net not between", value1, value2, "totalNet");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIsNull() {
            addCriterion("is_answer is null");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIsNotNull() {
            addCriterion("is_answer is not null");
            return (Criteria) this;
        }

        public Criteria andIsAnswerEqualTo(String value) {
            addCriterion("is_answer =", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotEqualTo(String value) {
            addCriterion("is_answer <>", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerGreaterThan(String value) {
            addCriterion("is_answer >", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerGreaterThanOrEqualTo(String value) {
            addCriterion("is_answer >=", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLessThan(String value) {
            addCriterion("is_answer <", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLessThanOrEqualTo(String value) {
            addCriterion("is_answer <=", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLike(String value) {
            addCriterion("is_answer like", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotLike(String value) {
            addCriterion("is_answer not like", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIn(List<String> values) {
            addCriterion("is_answer in", values, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotIn(List<String> values) {
            addCriterion("is_answer not in", values, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerBetween(String value1, String value2) {
            addCriterion("is_answer between", value1, value2, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotBetween(String value1, String value2) {
            addCriterion("is_answer not between", value1, value2, "isAnswer");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}