package com.sztzjy.money_management.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 * 学生实训记录表
 *
 * @author xcj
 * stu_training
 */
public class StuTraining {
    @ApiModelProperty("学生实训ID")
    private String trainingId;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("章节ID")
    private String chapterId;

    @ApiModelProperty("章节名称")
    private String chapterName;

    @ApiModelProperty("实训时长（以小时为单位）")
    private BigDecimal trainingTime;

    @ApiModelProperty("知识概要得分")
    private BigDecimal knowledgeSummaryScore;

    @ApiModelProperty("资源学习得分")
    private BigDecimal resourceLearningScore;

    @ApiModelProperty("学习评测得分")
    private BigDecimal learningEvalScore;

    @ApiModelProperty("实验实训得分")
    private BigDecimal expTrainingScore;

    @ApiModelProperty("知识概要完成情况")
    private Integer knowledgeSummaryCompleteStatus;

    @ApiModelProperty("资源学习完成情况")
    private Integer resourceLearningCompleteStatus;

    @ApiModelProperty("学习评测完成情况")
    private Integer learningEvalCompleteStatus;

    @ApiModelProperty("实验实训完成情况")
    private Integer expTrainingCompleteStatus;

    @ApiModelProperty("报告ID")
    private String reportId;

    public String getTrainingId() {
        return trainingId;
    }

    public void setTrainingId(String trainingId) {
        this.trainingId = trainingId == null ? null : trainingId.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getChapterId() {
        return chapterId;
    }

    public void setChapterId(String chapterId) {
        this.chapterId = chapterId == null ? null : chapterId.trim();
    }

    public String getChapterName() {
        return chapterName;
    }

    public void setChapterName(String chapterName) {
        this.chapterName = chapterName == null ? null : chapterName.trim();
    }

    public BigDecimal getTrainingTime() {
        return trainingTime;
    }

    public void setTrainingTime(BigDecimal trainingTime) {
        this.trainingTime = trainingTime;
    }

    public BigDecimal getKnowledgeSummaryScore() {
        return knowledgeSummaryScore;
    }

    public void setKnowledgeSummaryScore(BigDecimal knowledgeSummaryScore) {
        this.knowledgeSummaryScore = knowledgeSummaryScore;
    }

    public BigDecimal getResourceLearningScore() {
        return resourceLearningScore;
    }

    public void setResourceLearningScore(BigDecimal resourceLearningScore) {
        this.resourceLearningScore = resourceLearningScore;
    }

    public BigDecimal getLearningEvalScore() {
        return learningEvalScore;
    }

    public void setLearningEvalScore(BigDecimal learningEvalScore) {
        this.learningEvalScore = learningEvalScore;
    }

    public BigDecimal getExpTrainingScore() {
        return expTrainingScore;
    }

    public void setExpTrainingScore(BigDecimal expTrainingScore) {
        this.expTrainingScore = expTrainingScore;
    }

    public Integer getKnowledgeSummaryCompleteStatus() {
        return knowledgeSummaryCompleteStatus;
    }

    public void setKnowledgeSummaryCompleteStatus(Integer knowledgeSummaryCompleteStatus) {
        this.knowledgeSummaryCompleteStatus = knowledgeSummaryCompleteStatus;
    }

    public Integer getResourceLearningCompleteStatus() {
        return resourceLearningCompleteStatus;
    }

    public void setResourceLearningCompleteStatus(Integer resourceLearningCompleteStatus) {
        this.resourceLearningCompleteStatus = resourceLearningCompleteStatus;
    }

    public Integer getLearningEvalCompleteStatus() {
        return learningEvalCompleteStatus;
    }

    public void setLearningEvalCompleteStatus(Integer learningEvalCompleteStatus) {
        this.learningEvalCompleteStatus = learningEvalCompleteStatus;
    }

    public Integer getExpTrainingCompleteStatus() {
        return expTrainingCompleteStatus;
    }

    public void setExpTrainingCompleteStatus(Integer expTrainingCompleteStatus) {
        this.expTrainingCompleteStatus = expTrainingCompleteStatus;
    }

    public String getReportId() {
        return reportId;
    }

    public void setReportId(String reportId) {
        this.reportId = reportId == null ? null : reportId.trim();
    }
}