package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 投资规划-基金产品信息表
 *
 * @author xcj
 * case_investment_plan_fund_productinfo
 */
public class CaseInvestmentPlanFundProductInfo {
    @ApiModelProperty("基金产品信息ID")
    private String fundProductinfoId;

    @ApiModelProperty("产品选择ID")
    private String productSelectId;

    @ApiModelProperty("所属层级（基础层/保值层）")
    private String level;

    @ApiModelProperty("基金产品ID")
    private String fundId;

    @ApiModelProperty("投资方式")
    private String investmentType;

    @ApiModelProperty("投资总额/申购金额")
    private BigDecimal fundInvestmentAllMoney;

    @ApiModelProperty("定期间隔")
    private String periodInterval;

    @ApiModelProperty("初次扣款日")
    private Date firstDeductionDate;

    @ApiModelProperty("每期金额")
    private BigDecimal eachPeriodAmount;

    @ApiModelProperty("投资年限")
    private BigDecimal investmentYears;

    @ApiModelProperty("添加时间")
    private Date addTime;

    public String getFundProductinfoId() {
        return fundProductinfoId;
    }

    public void setFundProductinfoId(String fundProductinfoId) {
        this.fundProductinfoId = fundProductinfoId == null ? null : fundProductinfoId.trim();
    }

    public String getProductSelectId() {
        return productSelectId;
    }

    public void setProductSelectId(String productSelectId) {
        this.productSelectId = productSelectId == null ? null : productSelectId.trim();
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level == null ? null : level.trim();
    }

    public String getFundId() {
        return fundId;
    }

    public void setFundId(String fundId) {
        this.fundId = fundId == null ? null : fundId.trim();
    }

    public String getInvestmentType() {
        return investmentType;
    }

    public void setInvestmentType(String investmentType) {
        this.investmentType = investmentType == null ? null : investmentType.trim();
    }

    public BigDecimal getFundInvestmentAllMoney() {
        return fundInvestmentAllMoney;
    }

    public void setFundInvestmentAllMoney(BigDecimal fundInvestmentAllMoney) {
        this.fundInvestmentAllMoney = fundInvestmentAllMoney;
    }

    public String getPeriodInterval() {
        return periodInterval;
    }

    public void setPeriodInterval(String periodInterval) {
        this.periodInterval = periodInterval == null ? null : periodInterval.trim();
    }

    public Date getFirstDeductionDate() {
        return firstDeductionDate;
    }

    public void setFirstDeductionDate(Date firstDeductionDate) {
        this.firstDeductionDate = firstDeductionDate;
    }

    public BigDecimal getEachPeriodAmount() {
        return eachPeriodAmount;
    }

    public void setEachPeriodAmount(BigDecimal eachPeriodAmount) {
        this.eachPeriodAmount = eachPeriodAmount;
    }

    public BigDecimal getInvestmentYears() {
        return investmentYears;
    }

    public void setInvestmentYears(BigDecimal investmentYears) {
        this.investmentYears = investmentYears;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }
}