package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class CaseTaxPlanExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CaseTaxPlanExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andCaseTaxPlanIdIsNull() {
            addCriterion("case_tax_plan_id is null");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdIsNotNull() {
            addCriterion("case_tax_plan_id is not null");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdEqualTo(String value) {
            addCriterion("case_tax_plan_id =", value, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdNotEqualTo(String value) {
            addCriterion("case_tax_plan_id <>", value, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdGreaterThan(String value) {
            addCriterion("case_tax_plan_id >", value, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdGreaterThanOrEqualTo(String value) {
            addCriterion("case_tax_plan_id >=", value, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdLessThan(String value) {
            addCriterion("case_tax_plan_id <", value, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdLessThanOrEqualTo(String value) {
            addCriterion("case_tax_plan_id <=", value, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdLike(String value) {
            addCriterion("case_tax_plan_id like", value, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdNotLike(String value) {
            addCriterion("case_tax_plan_id not like", value, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdIn(List<String> values) {
            addCriterion("case_tax_plan_id in", values, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdNotIn(List<String> values) {
            addCriterion("case_tax_plan_id not in", values, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdBetween(String value1, String value2) {
            addCriterion("case_tax_plan_id between", value1, value2, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseTaxPlanIdNotBetween(String value1, String value2) {
            addCriterion("case_tax_plan_id not between", value1, value2, "caseTaxPlanId");
            return (Criteria) this;
        }

        public Criteria andCaseidIsNull() {
            addCriterion("caseid is null");
            return (Criteria) this;
        }

        public Criteria andCaseidIsNotNull() {
            addCriterion("caseid is not null");
            return (Criteria) this;
        }

        public Criteria andCaseidEqualTo(String value) {
            addCriterion("caseid =", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotEqualTo(String value) {
            addCriterion("caseid <>", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidGreaterThan(String value) {
            addCriterion("caseid >", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidGreaterThanOrEqualTo(String value) {
            addCriterion("caseid >=", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidLessThan(String value) {
            addCriterion("caseid <", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidLessThanOrEqualTo(String value) {
            addCriterion("caseid <=", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidLike(String value) {
            addCriterion("caseid like", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotLike(String value) {
            addCriterion("caseid not like", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidIn(List<String> values) {
            addCriterion("caseid in", values, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotIn(List<String> values) {
            addCriterion("caseid not in", values, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidBetween(String value1, String value2) {
            addCriterion("caseid between", value1, value2, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotBetween(String value1, String value2) {
            addCriterion("caseid not between", value1, value2, "caseid");
            return (Criteria) this;
        }

        public Criteria andSalaryIsNull() {
            addCriterion("salary is null");
            return (Criteria) this;
        }

        public Criteria andSalaryIsNotNull() {
            addCriterion("salary is not null");
            return (Criteria) this;
        }

        public Criteria andSalaryEqualTo(BigDecimal value) {
            addCriterion("salary =", value, "salary");
            return (Criteria) this;
        }

        public Criteria andSalaryNotEqualTo(BigDecimal value) {
            addCriterion("salary <>", value, "salary");
            return (Criteria) this;
        }

        public Criteria andSalaryGreaterThan(BigDecimal value) {
            addCriterion("salary >", value, "salary");
            return (Criteria) this;
        }

        public Criteria andSalaryGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("salary >=", value, "salary");
            return (Criteria) this;
        }

        public Criteria andSalaryLessThan(BigDecimal value) {
            addCriterion("salary <", value, "salary");
            return (Criteria) this;
        }

        public Criteria andSalaryLessThanOrEqualTo(BigDecimal value) {
            addCriterion("salary <=", value, "salary");
            return (Criteria) this;
        }

        public Criteria andSalaryIn(List<BigDecimal> values) {
            addCriterion("salary in", values, "salary");
            return (Criteria) this;
        }

        public Criteria andSalaryNotIn(List<BigDecimal> values) {
            addCriterion("salary not in", values, "salary");
            return (Criteria) this;
        }

        public Criteria andSalaryBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("salary between", value1, value2, "salary");
            return (Criteria) this;
        }

        public Criteria andSalaryNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("salary not between", value1, value2, "salary");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxIsNull() {
            addCriterion("salary_tax is null");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxIsNotNull() {
            addCriterion("salary_tax is not null");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxEqualTo(BigDecimal value) {
            addCriterion("salary_tax =", value, "salaryTax");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxNotEqualTo(BigDecimal value) {
            addCriterion("salary_tax <>", value, "salaryTax");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxGreaterThan(BigDecimal value) {
            addCriterion("salary_tax >", value, "salaryTax");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("salary_tax >=", value, "salaryTax");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxLessThan(BigDecimal value) {
            addCriterion("salary_tax <", value, "salaryTax");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("salary_tax <=", value, "salaryTax");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxIn(List<BigDecimal> values) {
            addCriterion("salary_tax in", values, "salaryTax");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxNotIn(List<BigDecimal> values) {
            addCriterion("salary_tax not in", values, "salaryTax");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("salary_tax between", value1, value2, "salaryTax");
            return (Criteria) this;
        }

        public Criteria andSalaryTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("salary_tax not between", value1, value2, "salaryTax");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueIsNull() {
            addCriterion("operating_revenue is null");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueIsNotNull() {
            addCriterion("operating_revenue is not null");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueEqualTo(BigDecimal value) {
            addCriterion("operating_revenue =", value, "operatingRevenue");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueNotEqualTo(BigDecimal value) {
            addCriterion("operating_revenue <>", value, "operatingRevenue");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueGreaterThan(BigDecimal value) {
            addCriterion("operating_revenue >", value, "operatingRevenue");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("operating_revenue >=", value, "operatingRevenue");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueLessThan(BigDecimal value) {
            addCriterion("operating_revenue <", value, "operatingRevenue");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueLessThanOrEqualTo(BigDecimal value) {
            addCriterion("operating_revenue <=", value, "operatingRevenue");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueIn(List<BigDecimal> values) {
            addCriterion("operating_revenue in", values, "operatingRevenue");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueNotIn(List<BigDecimal> values) {
            addCriterion("operating_revenue not in", values, "operatingRevenue");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("operating_revenue between", value1, value2, "operatingRevenue");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("operating_revenue not between", value1, value2, "operatingRevenue");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxIsNull() {
            addCriterion("operating_revenue_tax is null");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxIsNotNull() {
            addCriterion("operating_revenue_tax is not null");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxEqualTo(BigDecimal value) {
            addCriterion("operating_revenue_tax =", value, "operatingRevenueTax");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxNotEqualTo(BigDecimal value) {
            addCriterion("operating_revenue_tax <>", value, "operatingRevenueTax");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxGreaterThan(BigDecimal value) {
            addCriterion("operating_revenue_tax >", value, "operatingRevenueTax");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("operating_revenue_tax >=", value, "operatingRevenueTax");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxLessThan(BigDecimal value) {
            addCriterion("operating_revenue_tax <", value, "operatingRevenueTax");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("operating_revenue_tax <=", value, "operatingRevenueTax");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxIn(List<BigDecimal> values) {
            addCriterion("operating_revenue_tax in", values, "operatingRevenueTax");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxNotIn(List<BigDecimal> values) {
            addCriterion("operating_revenue_tax not in", values, "operatingRevenueTax");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("operating_revenue_tax between", value1, value2, "operatingRevenueTax");
            return (Criteria) this;
        }

        public Criteria andOperatingRevenueTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("operating_revenue_tax not between", value1, value2, "operatingRevenueTax");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueIsNull() {
            addCriterion("enterprises_revenue is null");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueIsNotNull() {
            addCriterion("enterprises_revenue is not null");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueEqualTo(BigDecimal value) {
            addCriterion("enterprises_revenue =", value, "enterprisesRevenue");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueNotEqualTo(BigDecimal value) {
            addCriterion("enterprises_revenue <>", value, "enterprisesRevenue");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueGreaterThan(BigDecimal value) {
            addCriterion("enterprises_revenue >", value, "enterprisesRevenue");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("enterprises_revenue >=", value, "enterprisesRevenue");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueLessThan(BigDecimal value) {
            addCriterion("enterprises_revenue <", value, "enterprisesRevenue");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueLessThanOrEqualTo(BigDecimal value) {
            addCriterion("enterprises_revenue <=", value, "enterprisesRevenue");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueIn(List<BigDecimal> values) {
            addCriterion("enterprises_revenue in", values, "enterprisesRevenue");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueNotIn(List<BigDecimal> values) {
            addCriterion("enterprises_revenue not in", values, "enterprisesRevenue");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("enterprises_revenue between", value1, value2, "enterprisesRevenue");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("enterprises_revenue not between", value1, value2, "enterprisesRevenue");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxIsNull() {
            addCriterion("enterprises_revenue_tax is null");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxIsNotNull() {
            addCriterion("enterprises_revenue_tax is not null");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxEqualTo(BigDecimal value) {
            addCriterion("enterprises_revenue_tax =", value, "enterprisesRevenueTax");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxNotEqualTo(BigDecimal value) {
            addCriterion("enterprises_revenue_tax <>", value, "enterprisesRevenueTax");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxGreaterThan(BigDecimal value) {
            addCriterion("enterprises_revenue_tax >", value, "enterprisesRevenueTax");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("enterprises_revenue_tax >=", value, "enterprisesRevenueTax");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxLessThan(BigDecimal value) {
            addCriterion("enterprises_revenue_tax <", value, "enterprisesRevenueTax");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("enterprises_revenue_tax <=", value, "enterprisesRevenueTax");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxIn(List<BigDecimal> values) {
            addCriterion("enterprises_revenue_tax in", values, "enterprisesRevenueTax");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxNotIn(List<BigDecimal> values) {
            addCriterion("enterprises_revenue_tax not in", values, "enterprisesRevenueTax");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("enterprises_revenue_tax between", value1, value2, "enterprisesRevenueTax");
            return (Criteria) this;
        }

        public Criteria andEnterprisesRevenueTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("enterprises_revenue_tax not between", value1, value2, "enterprisesRevenueTax");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeIsNull() {
            addCriterion("service_income is null");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeIsNotNull() {
            addCriterion("service_income is not null");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeEqualTo(BigDecimal value) {
            addCriterion("service_income =", value, "serviceIncome");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeNotEqualTo(BigDecimal value) {
            addCriterion("service_income <>", value, "serviceIncome");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeGreaterThan(BigDecimal value) {
            addCriterion("service_income >", value, "serviceIncome");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("service_income >=", value, "serviceIncome");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeLessThan(BigDecimal value) {
            addCriterion("service_income <", value, "serviceIncome");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("service_income <=", value, "serviceIncome");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeIn(List<BigDecimal> values) {
            addCriterion("service_income in", values, "serviceIncome");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeNotIn(List<BigDecimal> values) {
            addCriterion("service_income not in", values, "serviceIncome");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("service_income between", value1, value2, "serviceIncome");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("service_income not between", value1, value2, "serviceIncome");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxIsNull() {
            addCriterion("service_income_tax is null");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxIsNotNull() {
            addCriterion("service_income_tax is not null");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxEqualTo(BigDecimal value) {
            addCriterion("service_income_tax =", value, "serviceIncomeTax");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxNotEqualTo(BigDecimal value) {
            addCriterion("service_income_tax <>", value, "serviceIncomeTax");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxGreaterThan(BigDecimal value) {
            addCriterion("service_income_tax >", value, "serviceIncomeTax");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("service_income_tax >=", value, "serviceIncomeTax");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxLessThan(BigDecimal value) {
            addCriterion("service_income_tax <", value, "serviceIncomeTax");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("service_income_tax <=", value, "serviceIncomeTax");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxIn(List<BigDecimal> values) {
            addCriterion("service_income_tax in", values, "serviceIncomeTax");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxNotIn(List<BigDecimal> values) {
            addCriterion("service_income_tax not in", values, "serviceIncomeTax");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("service_income_tax between", value1, value2, "serviceIncomeTax");
            return (Criteria) this;
        }

        public Criteria andServiceIncomeTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("service_income_tax not between", value1, value2, "serviceIncomeTax");
            return (Criteria) this;
        }

        public Criteria andRemunerationIsNull() {
            addCriterion("remuneration is null");
            return (Criteria) this;
        }

        public Criteria andRemunerationIsNotNull() {
            addCriterion("remuneration is not null");
            return (Criteria) this;
        }

        public Criteria andRemunerationEqualTo(BigDecimal value) {
            addCriterion("remuneration =", value, "remuneration");
            return (Criteria) this;
        }

        public Criteria andRemunerationNotEqualTo(BigDecimal value) {
            addCriterion("remuneration <>", value, "remuneration");
            return (Criteria) this;
        }

        public Criteria andRemunerationGreaterThan(BigDecimal value) {
            addCriterion("remuneration >", value, "remuneration");
            return (Criteria) this;
        }

        public Criteria andRemunerationGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("remuneration >=", value, "remuneration");
            return (Criteria) this;
        }

        public Criteria andRemunerationLessThan(BigDecimal value) {
            addCriterion("remuneration <", value, "remuneration");
            return (Criteria) this;
        }

        public Criteria andRemunerationLessThanOrEqualTo(BigDecimal value) {
            addCriterion("remuneration <=", value, "remuneration");
            return (Criteria) this;
        }

        public Criteria andRemunerationIn(List<BigDecimal> values) {
            addCriterion("remuneration in", values, "remuneration");
            return (Criteria) this;
        }

        public Criteria andRemunerationNotIn(List<BigDecimal> values) {
            addCriterion("remuneration not in", values, "remuneration");
            return (Criteria) this;
        }

        public Criteria andRemunerationBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("remuneration between", value1, value2, "remuneration");
            return (Criteria) this;
        }

        public Criteria andRemunerationNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("remuneration not between", value1, value2, "remuneration");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxIsNull() {
            addCriterion("remuneration_tax is null");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxIsNotNull() {
            addCriterion("remuneration_tax is not null");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxEqualTo(BigDecimal value) {
            addCriterion("remuneration_tax =", value, "remunerationTax");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxNotEqualTo(BigDecimal value) {
            addCriterion("remuneration_tax <>", value, "remunerationTax");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxGreaterThan(BigDecimal value) {
            addCriterion("remuneration_tax >", value, "remunerationTax");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("remuneration_tax >=", value, "remunerationTax");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxLessThan(BigDecimal value) {
            addCriterion("remuneration_tax <", value, "remunerationTax");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("remuneration_tax <=", value, "remunerationTax");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxIn(List<BigDecimal> values) {
            addCriterion("remuneration_tax in", values, "remunerationTax");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxNotIn(List<BigDecimal> values) {
            addCriterion("remuneration_tax not in", values, "remunerationTax");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("remuneration_tax between", value1, value2, "remunerationTax");
            return (Criteria) this;
        }

        public Criteria andRemunerationTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("remuneration_tax not between", value1, value2, "remunerationTax");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesIsNull() {
            addCriterion("loyalities is null");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesIsNotNull() {
            addCriterion("loyalities is not null");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesEqualTo(BigDecimal value) {
            addCriterion("loyalities =", value, "loyalities");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesNotEqualTo(BigDecimal value) {
            addCriterion("loyalities <>", value, "loyalities");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesGreaterThan(BigDecimal value) {
            addCriterion("loyalities >", value, "loyalities");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("loyalities >=", value, "loyalities");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesLessThan(BigDecimal value) {
            addCriterion("loyalities <", value, "loyalities");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesLessThanOrEqualTo(BigDecimal value) {
            addCriterion("loyalities <=", value, "loyalities");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesIn(List<BigDecimal> values) {
            addCriterion("loyalities in", values, "loyalities");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesNotIn(List<BigDecimal> values) {
            addCriterion("loyalities not in", values, "loyalities");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("loyalities between", value1, value2, "loyalities");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("loyalities not between", value1, value2, "loyalities");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxIsNull() {
            addCriterion("loyalities_tax is null");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxIsNotNull() {
            addCriterion("loyalities_tax is not null");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxEqualTo(BigDecimal value) {
            addCriterion("loyalities_tax =", value, "loyalitiesTax");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxNotEqualTo(BigDecimal value) {
            addCriterion("loyalities_tax <>", value, "loyalitiesTax");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxGreaterThan(BigDecimal value) {
            addCriterion("loyalities_tax >", value, "loyalitiesTax");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("loyalities_tax >=", value, "loyalitiesTax");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxLessThan(BigDecimal value) {
            addCriterion("loyalities_tax <", value, "loyalitiesTax");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("loyalities_tax <=", value, "loyalitiesTax");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxIn(List<BigDecimal> values) {
            addCriterion("loyalities_tax in", values, "loyalitiesTax");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxNotIn(List<BigDecimal> values) {
            addCriterion("loyalities_tax not in", values, "loyalitiesTax");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("loyalities_tax between", value1, value2, "loyalitiesTax");
            return (Criteria) this;
        }

        public Criteria andLoyalitiesTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("loyalities_tax not between", value1, value2, "loyalitiesTax");
            return (Criteria) this;
        }

        public Criteria andDemiseIsNull() {
            addCriterion("demise is null");
            return (Criteria) this;
        }

        public Criteria andDemiseIsNotNull() {
            addCriterion("demise is not null");
            return (Criteria) this;
        }

        public Criteria andDemiseEqualTo(BigDecimal value) {
            addCriterion("demise =", value, "demise");
            return (Criteria) this;
        }

        public Criteria andDemiseNotEqualTo(BigDecimal value) {
            addCriterion("demise <>", value, "demise");
            return (Criteria) this;
        }

        public Criteria andDemiseGreaterThan(BigDecimal value) {
            addCriterion("demise >", value, "demise");
            return (Criteria) this;
        }

        public Criteria andDemiseGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("demise >=", value, "demise");
            return (Criteria) this;
        }

        public Criteria andDemiseLessThan(BigDecimal value) {
            addCriterion("demise <", value, "demise");
            return (Criteria) this;
        }

        public Criteria andDemiseLessThanOrEqualTo(BigDecimal value) {
            addCriterion("demise <=", value, "demise");
            return (Criteria) this;
        }

        public Criteria andDemiseIn(List<BigDecimal> values) {
            addCriterion("demise in", values, "demise");
            return (Criteria) this;
        }

        public Criteria andDemiseNotIn(List<BigDecimal> values) {
            addCriterion("demise not in", values, "demise");
            return (Criteria) this;
        }

        public Criteria andDemiseBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("demise between", value1, value2, "demise");
            return (Criteria) this;
        }

        public Criteria andDemiseNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("demise not between", value1, value2, "demise");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxIsNull() {
            addCriterion("demise_tax is null");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxIsNotNull() {
            addCriterion("demise_tax is not null");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxEqualTo(BigDecimal value) {
            addCriterion("demise_tax =", value, "demiseTax");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxNotEqualTo(BigDecimal value) {
            addCriterion("demise_tax <>", value, "demiseTax");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxGreaterThan(BigDecimal value) {
            addCriterion("demise_tax >", value, "demiseTax");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("demise_tax >=", value, "demiseTax");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxLessThan(BigDecimal value) {
            addCriterion("demise_tax <", value, "demiseTax");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("demise_tax <=", value, "demiseTax");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxIn(List<BigDecimal> values) {
            addCriterion("demise_tax in", values, "demiseTax");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxNotIn(List<BigDecimal> values) {
            addCriterion("demise_tax not in", values, "demiseTax");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("demise_tax between", value1, value2, "demiseTax");
            return (Criteria) this;
        }

        public Criteria andDemiseTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("demise_tax not between", value1, value2, "demiseTax");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeIsNull() {
            addCriterion("incidental_income is null");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeIsNotNull() {
            addCriterion("incidental_income is not null");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeEqualTo(BigDecimal value) {
            addCriterion("incidental_income =", value, "incidentalIncome");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeNotEqualTo(BigDecimal value) {
            addCriterion("incidental_income <>", value, "incidentalIncome");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeGreaterThan(BigDecimal value) {
            addCriterion("incidental_income >", value, "incidentalIncome");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("incidental_income >=", value, "incidentalIncome");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeLessThan(BigDecimal value) {
            addCriterion("incidental_income <", value, "incidentalIncome");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("incidental_income <=", value, "incidentalIncome");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeIn(List<BigDecimal> values) {
            addCriterion("incidental_income in", values, "incidentalIncome");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeNotIn(List<BigDecimal> values) {
            addCriterion("incidental_income not in", values, "incidentalIncome");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("incidental_income between", value1, value2, "incidentalIncome");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("incidental_income not between", value1, value2, "incidentalIncome");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxIsNull() {
            addCriterion("incidental_income_tax is null");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxIsNotNull() {
            addCriterion("incidental_income_tax is not null");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxEqualTo(BigDecimal value) {
            addCriterion("incidental_income_tax =", value, "incidentalIncomeTax");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxNotEqualTo(BigDecimal value) {
            addCriterion("incidental_income_tax <>", value, "incidentalIncomeTax");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxGreaterThan(BigDecimal value) {
            addCriterion("incidental_income_tax >", value, "incidentalIncomeTax");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("incidental_income_tax >=", value, "incidentalIncomeTax");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxLessThan(BigDecimal value) {
            addCriterion("incidental_income_tax <", value, "incidentalIncomeTax");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("incidental_income_tax <=", value, "incidentalIncomeTax");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxIn(List<BigDecimal> values) {
            addCriterion("incidental_income_tax in", values, "incidentalIncomeTax");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxNotIn(List<BigDecimal> values) {
            addCriterion("incidental_income_tax not in", values, "incidentalIncomeTax");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("incidental_income_tax between", value1, value2, "incidentalIncomeTax");
            return (Criteria) this;
        }

        public Criteria andIncidentalIncomeTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("incidental_income_tax not between", value1, value2, "incidentalIncomeTax");
            return (Criteria) this;
        }

        public Criteria andInterestIsNull() {
            addCriterion("interest is null");
            return (Criteria) this;
        }

        public Criteria andInterestIsNotNull() {
            addCriterion("interest is not null");
            return (Criteria) this;
        }

        public Criteria andInterestEqualTo(BigDecimal value) {
            addCriterion("interest =", value, "interest");
            return (Criteria) this;
        }

        public Criteria andInterestNotEqualTo(BigDecimal value) {
            addCriterion("interest <>", value, "interest");
            return (Criteria) this;
        }

        public Criteria andInterestGreaterThan(BigDecimal value) {
            addCriterion("interest >", value, "interest");
            return (Criteria) this;
        }

        public Criteria andInterestGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("interest >=", value, "interest");
            return (Criteria) this;
        }

        public Criteria andInterestLessThan(BigDecimal value) {
            addCriterion("interest <", value, "interest");
            return (Criteria) this;
        }

        public Criteria andInterestLessThanOrEqualTo(BigDecimal value) {
            addCriterion("interest <=", value, "interest");
            return (Criteria) this;
        }

        public Criteria andInterestIn(List<BigDecimal> values) {
            addCriterion("interest in", values, "interest");
            return (Criteria) this;
        }

        public Criteria andInterestNotIn(List<BigDecimal> values) {
            addCriterion("interest not in", values, "interest");
            return (Criteria) this;
        }

        public Criteria andInterestBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("interest between", value1, value2, "interest");
            return (Criteria) this;
        }

        public Criteria andInterestNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("interest not between", value1, value2, "interest");
            return (Criteria) this;
        }

        public Criteria andInterestTaxIsNull() {
            addCriterion("interest_tax is null");
            return (Criteria) this;
        }

        public Criteria andInterestTaxIsNotNull() {
            addCriterion("interest_tax is not null");
            return (Criteria) this;
        }

        public Criteria andInterestTaxEqualTo(BigDecimal value) {
            addCriterion("interest_tax =", value, "interestTax");
            return (Criteria) this;
        }

        public Criteria andInterestTaxNotEqualTo(BigDecimal value) {
            addCriterion("interest_tax <>", value, "interestTax");
            return (Criteria) this;
        }

        public Criteria andInterestTaxGreaterThan(BigDecimal value) {
            addCriterion("interest_tax >", value, "interestTax");
            return (Criteria) this;
        }

        public Criteria andInterestTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("interest_tax >=", value, "interestTax");
            return (Criteria) this;
        }

        public Criteria andInterestTaxLessThan(BigDecimal value) {
            addCriterion("interest_tax <", value, "interestTax");
            return (Criteria) this;
        }

        public Criteria andInterestTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("interest_tax <=", value, "interestTax");
            return (Criteria) this;
        }

        public Criteria andInterestTaxIn(List<BigDecimal> values) {
            addCriterion("interest_tax in", values, "interestTax");
            return (Criteria) this;
        }

        public Criteria andInterestTaxNotIn(List<BigDecimal> values) {
            addCriterion("interest_tax not in", values, "interestTax");
            return (Criteria) this;
        }

        public Criteria andInterestTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("interest_tax between", value1, value2, "interestTax");
            return (Criteria) this;
        }

        public Criteria andInterestTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("interest_tax not between", value1, value2, "interestTax");
            return (Criteria) this;
        }

        public Criteria andTotalAmountIsNull() {
            addCriterion("total_amount is null");
            return (Criteria) this;
        }

        public Criteria andTotalAmountIsNotNull() {
            addCriterion("total_amount is not null");
            return (Criteria) this;
        }

        public Criteria andTotalAmountEqualTo(BigDecimal value) {
            addCriterion("total_amount =", value, "totalAmount");
            return (Criteria) this;
        }

        public Criteria andTotalAmountNotEqualTo(BigDecimal value) {
            addCriterion("total_amount <>", value, "totalAmount");
            return (Criteria) this;
        }

        public Criteria andTotalAmountGreaterThan(BigDecimal value) {
            addCriterion("total_amount >", value, "totalAmount");
            return (Criteria) this;
        }

        public Criteria andTotalAmountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_amount >=", value, "totalAmount");
            return (Criteria) this;
        }

        public Criteria andTotalAmountLessThan(BigDecimal value) {
            addCriterion("total_amount <", value, "totalAmount");
            return (Criteria) this;
        }

        public Criteria andTotalAmountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_amount <=", value, "totalAmount");
            return (Criteria) this;
        }

        public Criteria andTotalAmountIn(List<BigDecimal> values) {
            addCriterion("total_amount in", values, "totalAmount");
            return (Criteria) this;
        }

        public Criteria andTotalAmountNotIn(List<BigDecimal> values) {
            addCriterion("total_amount not in", values, "totalAmount");
            return (Criteria) this;
        }

        public Criteria andTotalAmountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_amount between", value1, value2, "totalAmount");
            return (Criteria) this;
        }

        public Criteria andTotalAmountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_amount not between", value1, value2, "totalAmount");
            return (Criteria) this;
        }

        public Criteria andTotalTaxIsNull() {
            addCriterion("total_tax is null");
            return (Criteria) this;
        }

        public Criteria andTotalTaxIsNotNull() {
            addCriterion("total_tax is not null");
            return (Criteria) this;
        }

        public Criteria andTotalTaxEqualTo(BigDecimal value) {
            addCriterion("total_tax =", value, "totalTax");
            return (Criteria) this;
        }

        public Criteria andTotalTaxNotEqualTo(BigDecimal value) {
            addCriterion("total_tax <>", value, "totalTax");
            return (Criteria) this;
        }

        public Criteria andTotalTaxGreaterThan(BigDecimal value) {
            addCriterion("total_tax >", value, "totalTax");
            return (Criteria) this;
        }

        public Criteria andTotalTaxGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_tax >=", value, "totalTax");
            return (Criteria) this;
        }

        public Criteria andTotalTaxLessThan(BigDecimal value) {
            addCriterion("total_tax <", value, "totalTax");
            return (Criteria) this;
        }

        public Criteria andTotalTaxLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_tax <=", value, "totalTax");
            return (Criteria) this;
        }

        public Criteria andTotalTaxIn(List<BigDecimal> values) {
            addCriterion("total_tax in", values, "totalTax");
            return (Criteria) this;
        }

        public Criteria andTotalTaxNotIn(List<BigDecimal> values) {
            addCriterion("total_tax not in", values, "totalTax");
            return (Criteria) this;
        }

        public Criteria andTotalTaxBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_tax between", value1, value2, "totalTax");
            return (Criteria) this;
        }

        public Criteria andTotalTaxNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_tax not between", value1, value2, "totalTax");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIsNull() {
            addCriterion("is_answer is null");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIsNotNull() {
            addCriterion("is_answer is not null");
            return (Criteria) this;
        }

        public Criteria andIsAnswerEqualTo(String value) {
            addCriterion("is_answer =", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotEqualTo(String value) {
            addCriterion("is_answer <>", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerGreaterThan(String value) {
            addCriterion("is_answer >", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerGreaterThanOrEqualTo(String value) {
            addCriterion("is_answer >=", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLessThan(String value) {
            addCriterion("is_answer <", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLessThanOrEqualTo(String value) {
            addCriterion("is_answer <=", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLike(String value) {
            addCriterion("is_answer like", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotLike(String value) {
            addCriterion("is_answer not like", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIn(List<String> values) {
            addCriterion("is_answer in", values, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotIn(List<String> values) {
            addCriterion("is_answer not in", values, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerBetween(String value1, String value2) {
            addCriterion("is_answer between", value1, value2, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotBetween(String value1, String value2) {
            addCriterion("is_answer not between", value1, value2, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreIsNull() {
            addCriterion("analysis_teacher_score is null");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreIsNotNull() {
            addCriterion("analysis_teacher_score is not null");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreEqualTo(BigDecimal value) {
            addCriterion("analysis_teacher_score =", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreNotEqualTo(BigDecimal value) {
            addCriterion("analysis_teacher_score <>", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreGreaterThan(BigDecimal value) {
            addCriterion("analysis_teacher_score >", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("analysis_teacher_score >=", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreLessThan(BigDecimal value) {
            addCriterion("analysis_teacher_score <", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("analysis_teacher_score <=", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreIn(List<BigDecimal> values) {
            addCriterion("analysis_teacher_score in", values, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreNotIn(List<BigDecimal> values) {
            addCriterion("analysis_teacher_score not in", values, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("analysis_teacher_score between", value1, value2, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("analysis_teacher_score not between", value1, value2, "analysisTeacherScore");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}