package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 基金产品表
 *
 * @author xcj
 * fund_product
 */
public class FundProduct {
    @ApiModelProperty("ID")
    private String fundId;

    @ApiModelProperty("基金代码")
    private String fundCode;

    @ApiModelProperty("产品")
    private String fundName;

    @ApiModelProperty("基金类型")
    private String fundType;

    @ApiModelProperty("最新净值")
    private BigDecimal newNetValue;

    @ApiModelProperty("累计净值")
    private BigDecimal totalNewValue;

    @ApiModelProperty("最新净值更新时间")
    private Date navUpdateDate;

    @ApiModelProperty("托管费率")
    private BigDecimal hostingFees;

    @ApiModelProperty("最低申购份额")
    private BigDecimal purchaseShares;

    @ApiModelProperty("基金公司")
    private String fundCompany;

    @ApiModelProperty("近一年收益率")
    private BigDecimal yearlyEarningsRate;

    @ApiModelProperty("更新时间")
    private Date updateDate;

    public String getFundId() {
        return fundId;
    }

    public void setFundId(String fundId) {
        this.fundId = fundId == null ? null : fundId.trim();
    }

    public String getFundCode() {
        return fundCode;
    }

    public void setFundCode(String fundCode) {
        this.fundCode = fundCode == null ? null : fundCode.trim();
    }

    public String getFundName() {
        return fundName;
    }

    public void setFundName(String fundName) {
        this.fundName = fundName == null ? null : fundName.trim();
    }

    public String getFundType() {
        return fundType;
    }

    public void setFundType(String fundType) {
        this.fundType = fundType == null ? null : fundType.trim();
    }

    public BigDecimal getNewNetValue() {
        return newNetValue;
    }

    public void setNewNetValue(BigDecimal newNetValue) {
        this.newNetValue = newNetValue;
    }

    public BigDecimal getTotalNewValue() {
        return totalNewValue;
    }

    public void setTotalNewValue(BigDecimal totalNewValue) {
        this.totalNewValue = totalNewValue;
    }

    public Date getNavUpdateDate() {
        return navUpdateDate;
    }

    public void setNavUpdateDate(Date navUpdateDate) {
        this.navUpdateDate = navUpdateDate;
    }

    public BigDecimal getHostingFees() {
        return hostingFees;
    }

    public void setHostingFees(BigDecimal hostingFees) {
        this.hostingFees = hostingFees;
    }

    public BigDecimal getPurchaseShares() {
        return purchaseShares;
    }

    public void setPurchaseShares(BigDecimal purchaseShares) {
        this.purchaseShares = purchaseShares;
    }

    public String getFundCompany() {
        return fundCompany;
    }

    public void setFundCompany(String fundCompany) {
        this.fundCompany = fundCompany == null ? null : fundCompany.trim();
    }

    public BigDecimal getYearlyEarningsRate() {
        return yearlyEarningsRate;
    }

    public void setYearlyEarningsRate(BigDecimal yearlyEarningsRate) {
        this.yearlyEarningsRate = yearlyEarningsRate;
    }

    public Date getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }
}