package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class StuTrainingExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public StuTrainingExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andTrainingIdIsNull() {
            addCriterion("training_id is null");
            return (Criteria) this;
        }

        public Criteria andTrainingIdIsNotNull() {
            addCriterion("training_id is not null");
            return (Criteria) this;
        }

        public Criteria andTrainingIdEqualTo(String value) {
            addCriterion("training_id =", value, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdNotEqualTo(String value) {
            addCriterion("training_id <>", value, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdGreaterThan(String value) {
            addCriterion("training_id >", value, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdGreaterThanOrEqualTo(String value) {
            addCriterion("training_id >=", value, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdLessThan(String value) {
            addCriterion("training_id <", value, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdLessThanOrEqualTo(String value) {
            addCriterion("training_id <=", value, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdLike(String value) {
            addCriterion("training_id like", value, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdNotLike(String value) {
            addCriterion("training_id not like", value, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdIn(List<String> values) {
            addCriterion("training_id in", values, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdNotIn(List<String> values) {
            addCriterion("training_id not in", values, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdBetween(String value1, String value2) {
            addCriterion("training_id between", value1, value2, "trainingId");
            return (Criteria) this;
        }

        public Criteria andTrainingIdNotBetween(String value1, String value2) {
            addCriterion("training_id not between", value1, value2, "trainingId");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andChapterIdIsNull() {
            addCriterion("chapter_id is null");
            return (Criteria) this;
        }

        public Criteria andChapterIdIsNotNull() {
            addCriterion("chapter_id is not null");
            return (Criteria) this;
        }

        public Criteria andChapterIdEqualTo(String value) {
            addCriterion("chapter_id =", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotEqualTo(String value) {
            addCriterion("chapter_id <>", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdGreaterThan(String value) {
            addCriterion("chapter_id >", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdGreaterThanOrEqualTo(String value) {
            addCriterion("chapter_id >=", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLessThan(String value) {
            addCriterion("chapter_id <", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLessThanOrEqualTo(String value) {
            addCriterion("chapter_id <=", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdLike(String value) {
            addCriterion("chapter_id like", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotLike(String value) {
            addCriterion("chapter_id not like", value, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdIn(List<String> values) {
            addCriterion("chapter_id in", values, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotIn(List<String> values) {
            addCriterion("chapter_id not in", values, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdBetween(String value1, String value2) {
            addCriterion("chapter_id between", value1, value2, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterIdNotBetween(String value1, String value2) {
            addCriterion("chapter_id not between", value1, value2, "chapterId");
            return (Criteria) this;
        }

        public Criteria andChapterNameIsNull() {
            addCriterion("chapter_name is null");
            return (Criteria) this;
        }

        public Criteria andChapterNameIsNotNull() {
            addCriterion("chapter_name is not null");
            return (Criteria) this;
        }

        public Criteria andChapterNameEqualTo(String value) {
            addCriterion("chapter_name =", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotEqualTo(String value) {
            addCriterion("chapter_name <>", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameGreaterThan(String value) {
            addCriterion("chapter_name >", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameGreaterThanOrEqualTo(String value) {
            addCriterion("chapter_name >=", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameLessThan(String value) {
            addCriterion("chapter_name <", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameLessThanOrEqualTo(String value) {
            addCriterion("chapter_name <=", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameLike(String value) {
            addCriterion("chapter_name like", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotLike(String value) {
            addCriterion("chapter_name not like", value, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameIn(List<String> values) {
            addCriterion("chapter_name in", values, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotIn(List<String> values) {
            addCriterion("chapter_name not in", values, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameBetween(String value1, String value2) {
            addCriterion("chapter_name between", value1, value2, "chapterName");
            return (Criteria) this;
        }

        public Criteria andChapterNameNotBetween(String value1, String value2) {
            addCriterion("chapter_name not between", value1, value2, "chapterName");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeIsNull() {
            addCriterion("training_time is null");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeIsNotNull() {
            addCriterion("training_time is not null");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeEqualTo(BigDecimal value) {
            addCriterion("training_time =", value, "trainingTime");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeNotEqualTo(BigDecimal value) {
            addCriterion("training_time <>", value, "trainingTime");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeGreaterThan(BigDecimal value) {
            addCriterion("training_time >", value, "trainingTime");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("training_time >=", value, "trainingTime");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeLessThan(BigDecimal value) {
            addCriterion("training_time <", value, "trainingTime");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeLessThanOrEqualTo(BigDecimal value) {
            addCriterion("training_time <=", value, "trainingTime");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeIn(List<BigDecimal> values) {
            addCriterion("training_time in", values, "trainingTime");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeNotIn(List<BigDecimal> values) {
            addCriterion("training_time not in", values, "trainingTime");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("training_time between", value1, value2, "trainingTime");
            return (Criteria) this;
        }

        public Criteria andTrainingTimeNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("training_time not between", value1, value2, "trainingTime");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreIsNull() {
            addCriterion("knowledge_summary_score is null");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreIsNotNull() {
            addCriterion("knowledge_summary_score is not null");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreEqualTo(BigDecimal value) {
            addCriterion("knowledge_summary_score =", value, "knowledgeSummaryScore");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreNotEqualTo(BigDecimal value) {
            addCriterion("knowledge_summary_score <>", value, "knowledgeSummaryScore");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreGreaterThan(BigDecimal value) {
            addCriterion("knowledge_summary_score >", value, "knowledgeSummaryScore");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("knowledge_summary_score >=", value, "knowledgeSummaryScore");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreLessThan(BigDecimal value) {
            addCriterion("knowledge_summary_score <", value, "knowledgeSummaryScore");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("knowledge_summary_score <=", value, "knowledgeSummaryScore");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreIn(List<BigDecimal> values) {
            addCriterion("knowledge_summary_score in", values, "knowledgeSummaryScore");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreNotIn(List<BigDecimal> values) {
            addCriterion("knowledge_summary_score not in", values, "knowledgeSummaryScore");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("knowledge_summary_score between", value1, value2, "knowledgeSummaryScore");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("knowledge_summary_score not between", value1, value2, "knowledgeSummaryScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreIsNull() {
            addCriterion("resource_learning_score is null");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreIsNotNull() {
            addCriterion("resource_learning_score is not null");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreEqualTo(BigDecimal value) {
            addCriterion("resource_learning_score =", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreNotEqualTo(BigDecimal value) {
            addCriterion("resource_learning_score <>", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreGreaterThan(BigDecimal value) {
            addCriterion("resource_learning_score >", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("resource_learning_score >=", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreLessThan(BigDecimal value) {
            addCriterion("resource_learning_score <", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("resource_learning_score <=", value, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreIn(List<BigDecimal> values) {
            addCriterion("resource_learning_score in", values, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreNotIn(List<BigDecimal> values) {
            addCriterion("resource_learning_score not in", values, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("resource_learning_score between", value1, value2, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andResourceLearningScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("resource_learning_score not between", value1, value2, "resourceLearningScore");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreIsNull() {
            addCriterion("learning_eval_score is null");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreIsNotNull() {
            addCriterion("learning_eval_score is not null");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreEqualTo(BigDecimal value) {
            addCriterion("learning_eval_score =", value, "learningEvalScore");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreNotEqualTo(BigDecimal value) {
            addCriterion("learning_eval_score <>", value, "learningEvalScore");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreGreaterThan(BigDecimal value) {
            addCriterion("learning_eval_score >", value, "learningEvalScore");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("learning_eval_score >=", value, "learningEvalScore");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreLessThan(BigDecimal value) {
            addCriterion("learning_eval_score <", value, "learningEvalScore");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("learning_eval_score <=", value, "learningEvalScore");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreIn(List<BigDecimal> values) {
            addCriterion("learning_eval_score in", values, "learningEvalScore");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreNotIn(List<BigDecimal> values) {
            addCriterion("learning_eval_score not in", values, "learningEvalScore");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("learning_eval_score between", value1, value2, "learningEvalScore");
            return (Criteria) this;
        }

        public Criteria andLearningEvalScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("learning_eval_score not between", value1, value2, "learningEvalScore");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreIsNull() {
            addCriterion("exp_training_score is null");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreIsNotNull() {
            addCriterion("exp_training_score is not null");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreEqualTo(BigDecimal value) {
            addCriterion("exp_training_score =", value, "expTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreNotEqualTo(BigDecimal value) {
            addCriterion("exp_training_score <>", value, "expTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreGreaterThan(BigDecimal value) {
            addCriterion("exp_training_score >", value, "expTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("exp_training_score >=", value, "expTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreLessThan(BigDecimal value) {
            addCriterion("exp_training_score <", value, "expTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("exp_training_score <=", value, "expTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreIn(List<BigDecimal> values) {
            addCriterion("exp_training_score in", values, "expTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreNotIn(List<BigDecimal> values) {
            addCriterion("exp_training_score not in", values, "expTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("exp_training_score between", value1, value2, "expTrainingScore");
            return (Criteria) this;
        }

        public Criteria andExpTrainingScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("exp_training_score not between", value1, value2, "expTrainingScore");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusIsNull() {
            addCriterion("knowledge_summary_complete_status is null");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusIsNotNull() {
            addCriterion("knowledge_summary_complete_status is not null");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusEqualTo(Integer value) {
            addCriterion("knowledge_summary_complete_status =", value, "knowledgeSummaryCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusNotEqualTo(Integer value) {
            addCriterion("knowledge_summary_complete_status <>", value, "knowledgeSummaryCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusGreaterThan(Integer value) {
            addCriterion("knowledge_summary_complete_status >", value, "knowledgeSummaryCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("knowledge_summary_complete_status >=", value, "knowledgeSummaryCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusLessThan(Integer value) {
            addCriterion("knowledge_summary_complete_status <", value, "knowledgeSummaryCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusLessThanOrEqualTo(Integer value) {
            addCriterion("knowledge_summary_complete_status <=", value, "knowledgeSummaryCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusIn(List<Integer> values) {
            addCriterion("knowledge_summary_complete_status in", values, "knowledgeSummaryCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusNotIn(List<Integer> values) {
            addCriterion("knowledge_summary_complete_status not in", values, "knowledgeSummaryCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusBetween(Integer value1, Integer value2) {
            addCriterion("knowledge_summary_complete_status between", value1, value2, "knowledgeSummaryCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andKnowledgeSummaryCompleteStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("knowledge_summary_complete_status not between", value1, value2, "knowledgeSummaryCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusIsNull() {
            addCriterion("resource_learning_complete_status is null");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusIsNotNull() {
            addCriterion("resource_learning_complete_status is not null");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusEqualTo(Integer value) {
            addCriterion("resource_learning_complete_status =", value, "resourceLearningCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusNotEqualTo(Integer value) {
            addCriterion("resource_learning_complete_status <>", value, "resourceLearningCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusGreaterThan(Integer value) {
            addCriterion("resource_learning_complete_status >", value, "resourceLearningCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("resource_learning_complete_status >=", value, "resourceLearningCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusLessThan(Integer value) {
            addCriterion("resource_learning_complete_status <", value, "resourceLearningCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusLessThanOrEqualTo(Integer value) {
            addCriterion("resource_learning_complete_status <=", value, "resourceLearningCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusIn(List<Integer> values) {
            addCriterion("resource_learning_complete_status in", values, "resourceLearningCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusNotIn(List<Integer> values) {
            addCriterion("resource_learning_complete_status not in", values, "resourceLearningCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusBetween(Integer value1, Integer value2) {
            addCriterion("resource_learning_complete_status between", value1, value2, "resourceLearningCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andResourceLearningCompleteStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("resource_learning_complete_status not between", value1, value2, "resourceLearningCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusIsNull() {
            addCriterion("learning_eval_complete_status is null");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusIsNotNull() {
            addCriterion("learning_eval_complete_status is not null");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusEqualTo(Integer value) {
            addCriterion("learning_eval_complete_status =", value, "learningEvalCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusNotEqualTo(Integer value) {
            addCriterion("learning_eval_complete_status <>", value, "learningEvalCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusGreaterThan(Integer value) {
            addCriterion("learning_eval_complete_status >", value, "learningEvalCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("learning_eval_complete_status >=", value, "learningEvalCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusLessThan(Integer value) {
            addCriterion("learning_eval_complete_status <", value, "learningEvalCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusLessThanOrEqualTo(Integer value) {
            addCriterion("learning_eval_complete_status <=", value, "learningEvalCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusIn(List<Integer> values) {
            addCriterion("learning_eval_complete_status in", values, "learningEvalCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusNotIn(List<Integer> values) {
            addCriterion("learning_eval_complete_status not in", values, "learningEvalCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusBetween(Integer value1, Integer value2) {
            addCriterion("learning_eval_complete_status between", value1, value2, "learningEvalCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andLearningEvalCompleteStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("learning_eval_complete_status not between", value1, value2, "learningEvalCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusIsNull() {
            addCriterion("exp_training_complete_status is null");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusIsNotNull() {
            addCriterion("exp_training_complete_status is not null");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusEqualTo(Integer value) {
            addCriterion("exp_training_complete_status =", value, "expTrainingCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusNotEqualTo(Integer value) {
            addCriterion("exp_training_complete_status <>", value, "expTrainingCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusGreaterThan(Integer value) {
            addCriterion("exp_training_complete_status >", value, "expTrainingCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("exp_training_complete_status >=", value, "expTrainingCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusLessThan(Integer value) {
            addCriterion("exp_training_complete_status <", value, "expTrainingCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusLessThanOrEqualTo(Integer value) {
            addCriterion("exp_training_complete_status <=", value, "expTrainingCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusIn(List<Integer> values) {
            addCriterion("exp_training_complete_status in", values, "expTrainingCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusNotIn(List<Integer> values) {
            addCriterion("exp_training_complete_status not in", values, "expTrainingCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusBetween(Integer value1, Integer value2) {
            addCriterion("exp_training_complete_status between", value1, value2, "expTrainingCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andExpTrainingCompleteStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("exp_training_complete_status not between", value1, value2, "expTrainingCompleteStatus");
            return (Criteria) this;
        }

        public Criteria andReportIdIsNull() {
            addCriterion("report_id is null");
            return (Criteria) this;
        }

        public Criteria andReportIdIsNotNull() {
            addCriterion("report_id is not null");
            return (Criteria) this;
        }

        public Criteria andReportIdEqualTo(String value) {
            addCriterion("report_id =", value, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdNotEqualTo(String value) {
            addCriterion("report_id <>", value, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdGreaterThan(String value) {
            addCriterion("report_id >", value, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdGreaterThanOrEqualTo(String value) {
            addCriterion("report_id >=", value, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdLessThan(String value) {
            addCriterion("report_id <", value, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdLessThanOrEqualTo(String value) {
            addCriterion("report_id <=", value, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdLike(String value) {
            addCriterion("report_id like", value, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdNotLike(String value) {
            addCriterion("report_id not like", value, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdIn(List<String> values) {
            addCriterion("report_id in", values, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdNotIn(List<String> values) {
            addCriterion("report_id not in", values, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdBetween(String value1, String value2) {
            addCriterion("report_id between", value1, value2, "reportId");
            return (Criteria) this;
        }

        public Criteria andReportIdNotBetween(String value1, String value2) {
            addCriterion("report_id not between", value1, value2, "reportId");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}